Skip to main content

Query private subchannel members

Retrieve the private subchannel member list for a specified community channel subchannel.

Request method

POST: https://Base URL/v4/community-channel/private-subchannel/member/list

Rate limit: 100 requests per second

Signature required: All server API requests require signature verification. See API request signature.

Request body

The request body is in application/json format and supports the following parameters:

ParameterTypeRequiredDescription
channelIdStringYesThe community channel ID.
subchannelIdStringYesThe subchannel ID.
pageNumberNoPage number. Defaults to 1.
pageSizeNumberNoItems per page. Range: 1–100. Defaults to 50.

Request example

HTTP
POST /v4/community-channel/private-subchannel/member/list HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "abc",
"subchannelId": "channel001",
"page": 1,
"pageSize": 50
}

Response

The response body contains a JSON object with the following structure:

FieldTypeDescription
codeNumberStatus code. 0 indicates success.
result.membersArrayList of user IDs.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"members": [
"qUser2"
]
}
}